using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationSMSFVRFY
{
    public class SMSFVRFY2020
    {

        public bool IntCollectionExists = false;
        public int IntCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:Int
        /// SMSFVRFY:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string SMSFVRFY2 = null;

        /// <summary>
        /// /xbrli:xbrl/:Int
        /// SMSFVRFY:pyid.02.00:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string SMSFVRFY3 = null;

        /// <summary>
        /// /xbrli:xbrl/:Int
        /// SMSFVRFY:pyid.02.00:Identifiers.TaxAgentNumber.Identifier
        /// </summary>
        public string SMSFVRFY4 = null;

        public bool RpCollectionExists = false;
        public int RpCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:Rp
        /// SMSFVRFY:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string SMSFVRFY6 = null;

        /// <summary>
        /// /xbrli:xbrl/:Rp
        /// SMSFVRFY:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string SMSFVRFY7 = null;

        public bool MemberDetailsCollectionExists = false;
        public int MemberDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:MemberDetails
        /// SMSFVRFY:pyid.02.00:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string SMSFVRFY9 = null;

        public bool SmsfDetailsCollectionExists = false;
        public int SmsfDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:SMSFDetails
        /// SMSFVRFY:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string SMSFVRFY11 = null;

        /// <summary>
        /// /xbrli:xbrl/:SMSFDetails
        /// SMSFVRFY:pyde.02.19:ElectronicContact.ElectronicServiceAddressAlias.Text
        /// </summary>
        public string SMSFVRFY12 = null;

        public bool FinancialInstitutionAccountCollectionExists = false;
        public int FinancialInstitutionAccountCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:FinancialInstitutionAccount
        /// SMSFVRFY:pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        /// </summary>
        public string SMSFVRFY14 = null;

        /// <summary>
        /// /xbrli:xbrl/:FinancialInstitutionAccount
        /// SMSFVRFY:pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number
        /// </summary>
        public string SMSFVRFY15 = null;

        /// <summary>
        /// /xbrli:xbrl/:FinancialInstitutionAccount
        /// SMSFVRFY:pyid.02.20:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        /// </summary>
        public string SMSFVRFY16 = null;

    }
}
